Clusters
Retrieve cluster status
Returns NOT_FOUND if the cluster does not exist. If the cluster exists but no agent has reported telemetry yet, the response will have health_status PENDING and no status message.
Scope: cluster:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
cluster_id*cluster_id
The unique identifier of the cluster (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://admiral.example.com/api/v1/clusters/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "health_status": "CLUSTER_HEALTH_STATUS_UNSPECIFIED", "status": { "k8s_version": "string", "node_count": 0, "nodes_ready": 0, "pod_capacity": 0, "pod_count": 0, "pods_running": 0, "pods_pending": 0, "pods_failed": 0, "cpu_capacity_millicores": 0, "cpu_used_millicores": 0, "memory_capacity_bytes": 0, "memory_used_bytes": 0, "workloads_total": 0, "workloads_healthy": 0, "workloads_degraded": 0, "workloads_error": 0 }, "reported_at": "2023-01-15T01:30:15.01Z"}